=== modified file 'bzrlib/transport/__init__.py'
--- bzrlib/transport/__init__.py	2007-08-22 01:41:24 +0000
+++ bzrlib/transport/__init__.py	2007-09-10 09:27:54 +0000
@@ -369,10 +369,10 @@
         """
         # The default implementation just uses "Easier to ask for forgiveness
         # than permission". We attempt to create the directory, and just
-        # suppress a FileExists exception.
+        # suppress FileExists and PermissionDenied (for Windows) exceptions.
         try:
             self.mkdir('.')
-        except errors.FileExists:
+        except (errors.FileExists, errors.PermissionDenied):
             return False
         else:
             return True

